## ignition-physics5 5.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-physics5 VERSION 5.3.2)

#============================================================================
# Find ignition-cmake
#============================================================================
find_package(ignition-cmake2 2.14.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(
  REPLACE_IGNITION_INCLUDE_PATH gz/physics
  VERSION_SUFFIX
)

#============================================================================
# Set project-specific options
#============================================================================

option(ENABLE_PROFILER "Enable Ignition Profiler" FALSE)

if(ENABLE_PROFILER)
  add_definitions("-DIGN_PROFILER_ENABLE=1")
else()
  add_definitions("-DIGN_PROFILER_ENABLE=0")
endif()

#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common4
  COMPONENTS graphics profiler
  REQUIRED_BY heightmap mesh dartsim tpe tpelib bullet)
set(IGN_COMMON_VER ${ignition-common4_VERSION_MAJOR})

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED COMPONENTS eigen3)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-plugin
ign_find_package(ignition-plugin1 REQUIRED COMPONENTS all VERSION 1.1)
set(IGN_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})

#--------------------------------------
# Find ignition-utils
ign_find_package(ignition-utils1 REQUIRED COMPONENTS cli)
set(IGN_UTILS_VER ${ignition-utils1_VERSION_MAJOR})

#--------------------------------------
# Find Eigen
ign_find_package(EIGEN3 REQUIRED)

#--------------------------------------
# Find SDFormat for the SDF features
ign_find_package(sdformat12
  REQUIRED_BY sdf dartsim tpe bullet)

#--------------------------------------
# Find dartsim for the dartsim plugin wrapper
ign_find_package(DART
  COMPONENTS
    collision-bullet
    collision-ode
    utils
    utils-urdf
  CONFIG
  VERSION 6.9
  REQUIRED_BY dartsim
  PKGCONFIG dart
  PKGCONFIG_VER_COMPARISON >=)

#--------------------------------------
# Find bullet for the bullet plugin wrapper
ign_find_package(IgnBullet
  VERSION 2.87
  REQUIRED_BY bullet
  PKGCONFIG bullet
  PKGCONFIG_VER_COMPARISON >=)

message(STATUS "-------------------------------------------\n")

set(IGNITION_PHYSICS_RESOURCE_DIR "${CMAKE_SOURCE_DIR}/resources")

# Plugin install dirs
set(IGNITION_PHYSICS_ENGINE_INSTALL_DIR
  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${GZ_DESIGNATION}-${PROJECT_VERSION_MAJOR}/engine-plugins
)

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS
  COMPONENTS sdf heightmap mesh dartsim tpe bullet)


#============================================================================
# Create package information
#============================================================================
ign_create_packages()


#============================================================================
# Create documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  TAGFILES
    "${IGNITION-COMMON_DOXYGEN_TAGFILE} = ${IGNITION-COMMON_API_URL}"
    "${IGNITION-PLUGIN_DOXYGEN_TAGFILE} = ${IGNITION-PLUGIN_API_URL}"
    "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
  )

file(COPY ${CMAKE_SOURCE_DIR}/tutorials/img/ DESTINATION ${CMAKE_BINARY_DIR}/doxygen/html/img/)

=== bullet/CMakeLists.txt ===
# This component expresses custom features of the bullet plugin, which can
# expose native bullet data types.
ign_add_component(bullet INTERFACE
  DEPENDS_ON_COMPONENTS sdf mesh
  GET_TARGET_NAME features)

link_directories(${BULLET_LIBRARY_DIRS})
target_link_libraries(${features} INTERFACE IgnBullet::IgnBullet)

ign_get_libsources_and_unittests(sources test_sources)

# TODO(MXG): Think about an ign_add_plugin(~) macro for ign-cmake
set(engine_name bullet-plugin)
ign_add_component(${engine_name}
  SOURCES ${sources}
  DEPENDS_ON_COMPONENTS bullet
  GET_TARGET_NAME bullet_plugin)

target_link_libraries(${bullet_plugin}
  PUBLIC
    ${features}
    ${PROJECT_LIBRARY_TARGET_NAME}-sdf
    ${PROJECT_LIBRARY_TARGET_NAME}-mesh
    ignition-common${IGN_COMMON_VER}::ignition-common${IGN_COMMON_VER}
    ignition-math${IGN_MATH_VER}::eigen3)

# Note that plugins are currently being installed in 2 places: /lib and the engine-plugins dir
install(TARGETS ${bullet_plugin} DESTINATION ${IGNITION_PHYSICS_ENGINE_INSTALL_DIR})

# The library created by `ign_add_component` includes the ign-physics version
# (i.e. libignition-physics1-name-plugin.so), but for portability,
# we also install an unversioned symlink into the same versioned folder.
set(versioned ${CMAKE_SHARED_LIBRARY_PREFIX}${bullet_plugin}${CMAKE_SHARED_LIBRARY_SUFFIX})
set(unversioned ${CMAKE_SHARED_LIBRARY_PREFIX}${PROJECT_NAME_NO_VERSION_LOWER}-${engine_name}${CMAKE_SHARED_LIBRARY_SUFFIX})
if (WIN32)
  # disable MSVC inherit via dominance warning
  target_compile_options(${bullet_plugin} PUBLIC "/wd4250")
  INSTALL(CODE "EXECUTE_PROCESS(COMMAND ${CMAKE_COMMAND} -E copy
      ${IGNITION_PHYSICS_ENGINE_INSTALL_DIR}\/${versioned}
      ${IGNITION_PHYSICS_ENGINE_INSTALL_DIR}\/${unversioned})")
else()
  EXECUTE_PROCESS(COMMAND ${CMAKE_COMMAND} -E create_symlink ${versioned} ${unversioned})
  INSTALL(FILES ${PROJECT_BINARY_DIR}/${unversioned} DESTINATION ${IGNITION_PHYSICS_ENGINE_INSTALL_DIR})
endif()

# Testing
ign_build_tests(
  TYPE UNIT_bullet
  SOURCES ${test_sources}
  LIB_DEPS
    ${features}
    ignition-plugin${IGN_PLUGIN_VER}::loader
    ignition-common${IGN_COMMON_VER}::ignition-common${IGN_COMMON_VER}
    ${PROJECT_LIBRARY_TARGET_NAME}-sdf
    ${PROJECT_LIBRARY_TARGET_NAME}-mesh
  TEST_LIST tests)

foreach(test ${tests})

  target_compile_definitions(${test} PRIVATE
    "bullet_plugin_LIB=\"$<TARGET_FILE:${bullet_plugin}>\""
    "TEST_WORLD_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}/worlds/\""
    "IGNITION_PHYSICS_RESOURCE_DIR=\"${IGNITION_PHYSICS_RESOURCE_DIR}\"")

endforeach()

if(TARGET UNIT_FindFeatures_TEST)

  target_compile_definitions(UNIT_FindFeatures_TEST PRIVATE
    "bullet_plugin_LIB=\"$<TARGET_FILE:${bullet_plugin}>\"")

endif()

=== debian/changelog ===
ignition-physics5 (5.3.2-1~jammy) jammy; urgency=medium

  * ignition-physics5 5.3.2-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Fri, 01 Sep 2023 13:09:53 -0500

ignition-physics5 (5.3.1-1~jammy) jammy; urgency=medium

  * ignition-physics5 5.3.1-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Thu, 16 Feb 2023 23:23:28 +0000

ignition-physics5 (5.3.0-1~jammy) jammy; urgency=medium

  * ignition-physics5 5.3.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Mon, 23 Jan 2023 11:09:17 -0600

ignition-physics5 (5.2.0-2~jammy) jammy; urgency=medium

  * ignition-physics5 5.2.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 09:47:15 -0700

ignition-physics5 (5.2.0-1~jammy) jammy; urgency=medium

  * ignition-physics5 5.2.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Wed, 29 Jun 2022 11:48:06 -0700

ignition-physics5 (5.1.0+osrf-3~jammy) jammy; urgency=medium

  * ignition-physics5 5.1.0+osrf-3 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 18 Mar 2022 01:20:41 +0100

ignition-physics5 (5.1.0+osrf-2~jammy) jammy; urgency=medium

  * ignition-physics5 5.1.0+osrf-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 08 Mar 2022 19:20:48 +0100

ignition-physics5 (5.1.0+osrf-1~jammy) jammy; urgency=medium

  * ignition-physics5 5.1.0+osrf-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 04 Mar 2022 20:15:08 +0100

=== debian/control ===
Source: ignition-physics5
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               libbullet-dev,
               libignition-cmake2-dev (>= 2.1.0),
               libignition-common4-graphics-dev,
               libignition-common4-profiler-dev,
               libignition-math6-dev,
               libignition-math6-eigen3-dev,
               libignition-plugin-dev (>= 1.1.0),
               libignition-utils1-dev,
               libignition-utils1-cli-dev,
# DART from Ubuntu repositories, 6.12.1 + OSRF patches
               libdart-dev (>= 6.12.1+dfsg4),
               libdart-collision-bullet-dev (>= 6.12.1+dfsg4),
               libdart-collision-ode-dev (>= 6.12.1+dfsg4),
               libdart-external-convhull-3d-dev (>= 6.12.1+dfsg4),
               libdart-external-ikfast-dev (>= 6.12.1+dfsg4),
               libdart-external-odelcpsolver-dev (>= 6.12.1+dfsg4),
               libdart-utils-dev (>= 6.12.1+dfsg4),
               libdart-utils-urdf-dev (>= 6.12.1+dfsg4),
               libsdformat12-dev
Vcs-Browser: https://github.com/gazebo-release/gz-physics5-release
Vcs-Git: https://github.com/gazebo-release/gz-physics5-release
Standards-Version: 4.5.1
Homepage: http://gazebosim.org/

Package: libignition-physics5-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.1.0),
         libignition-math6-dev,
         libignition-plugin-dev (>= 1.1.0),
         libignition-physics5 (= ${binary:Version}),
         libignition-utils1-dev,
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Development files
 Gazebo Physics is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Core component, development files

Package: libignition-physics5-sdf-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libsdformat12-dev,
         libignition-physics5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - SDF Dev files
 Gazebo Physics is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 SDF component, development files

Package: libignition-physics5-mesh-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libignition-common4-graphics-dev,
         libignition-physics5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Mesh Dev files
 Gazebo Physics is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Mesh component, development files

Package: libignition-physics5-heightmap-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libignition-common4-graphics-dev,
         libignition-physics5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Heightmap Dev files
 Gazebo Physics is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Heightmap component, development files

Package: libignition-physics5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-physics5-5 (<= 5.8.1+ds-2)
Replaces: libignition-physics5-5 (<= 5.8.1+ds-2)
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Shared library
 Gazebo Physics is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Main shared library

Package: libignition-physics5-dartsim-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-physics5-sdf-dev (= ${binary:Version}),
         libignition-physics5-mesh-dev (= ${binary:Version}),
         libignition-physics5-heightmap-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libignition-common4-graphics-dev,
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-common4-dev,
         libignition-plugin-dev (>= 1.1.0),
         libdart-dev (>= 6.12.1+dfsg4),
         libdart-external-convhull-3d-dev (>= 6.12.1+dfsg4),
         libdart-collision-ode-dev (>= 6.12.1+dfsg4),
         libdart-utils-urdf-dev (>= 6.12.1+dfsg4),
         libdart-utils-dev (>= 6.12.1+dfsg4),
         libdart-external-odelcpsolver-dev (>= 6.12.1+dfsg4),
         libdart-external-ikfast-dev (>= 6.12.1+dfsg4),
         libdart-collision-bullet-dev (>= 6.12.1+dfsg4),
         libsdformat12-dev,
         libignition-physics5-dartsim (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Development files
 Gazebo Physics is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Dartsim component, development files

Package: libignition-physics5-dartsim
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-physics5-dartsim-plugin (<= 5.8.1+ds-2)
Replaces: libignition-physics5-dartsim-plugin (<= 5.8.1+ds-2)
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Dartsim library
 Gazebo Physics is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 DARTSim component shared library

Package: libignition-physics5-tpe-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-physics5-sdf-dev (= ${binary:Version}),
         libignition-physics5-mesh-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libsdformat12-dev,
         libignition-physics5-tpe (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Development files
 Gazebo Physics is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 TPE plugin component, development files

Package: libignition-physics5-tpe
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-physics5-tpe-plugin5 (<= 5.8.1+ds-2)
Replaces: libignition-physics5-tpe-plugin5 (<= 5.8.1+ds-2)
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - TPE library
 Gazebo Physics is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 TPE plugin component shared library

Package: libignition-physics5-tpelib-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.1.0),
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libignition-physics5-tpelib (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Development files
 Gazebo Physics is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 TPE library component, development files

Package: libignition-physics5-tpelib
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-physics5-tpelib5 (<= 5.8.1+ds-2)
Replaces: libignition-physics5-tpelib5 (<= 5.8.1+ds-2)
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - TPE library
 Gazebo Physics is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 TPE library component shared library

Package: libignition-physics5-bullet-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-physics5-sdf-dev (= ${binary:Version}),
         libignition-physics5-mesh-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.1.0),
         libignition-common4-graphics-dev,
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev,
         libbullet-dev,
         libsdformat12-dev,
         libignition-physics5-bullet (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Development files
 Gazebo Physics is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Bullet component, development files

Package: libignition-physics5-bullet
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-physics5-bullet (<= 5.8.1+ds-2)
Replaces: libignition-physics5-bullet (<= 5.8.1+ds-2)
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Bullet engine
 Gazebo Physics is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Bullet component shared library

Package: libignition-physics5-dev
Architecture: any
Section: libdevel
Depends: libignition-physics5-core-dev (= ${binary:Version}),
         libignition-physics5-bullet-dev (= ${binary:Version}),
         libignition-physics5-dartsim-dev (= ${binary:Version}),
         libignition-physics5-heightmap-dev (= ${binary:Version}),
         libignition-physics5-mesh-dev (= ${binary:Version}),
         libignition-physics5-sdf-dev (= ${binary:Version}),
         libignition-physics5-tpe-dev (= ${binary:Version}),
         libignition-physics5-tpelib-dev (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Metapackage
 Gazebo Physics is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Metapackage, all development files

Package: libgz-physics5-core-dev
Depends: libignition-physics5-core-dev (= ${binary:Version}), ${misc:Depends}
Architecture: any
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics5-sdf-dev
Depends: libignition-physics5-sdf-dev (= ${binary:Version}), ${misc:Depends}
Architecture: any
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics5-mesh-dev
Depends: libignition-physics5-mesh-dev (= ${binary:Version}), ${misc:Depends}
Architecture: any
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics5-heightmap-dev
Depends: libignition-physics5-heightmap-dev (= ${binary:Version}), ${misc:Depends}
Architecture: any
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics5
Depends: libignition-physics5 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics5-dartsim-dev

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
    dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,repacksuffix=+ds \
    https://github.com/gazebosim/gz-physics/tags \
		(?:.*?/)@PACKAGE@.*_(\d[\d.]*)\.tar\.gz
